Endpoints挑战
批量获取挑战状态
在一次请求中返回多个挑战的状态。 最多接受 100 个挑战 ID,返回以挑战 ID 为键的对象。每个值可能是挑战状态,或在无法获取该挑战时为 `ClientErrorResponse`。
Authorization
api-key AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/challenge/get-status" \ -H "Content-Type: application/json" \ -d '{ "challengeIds": [ "ae6d4729-af32-42ea-8ef2-ff46c7664802", "f47ac10b-58cc-4372-a567-0e02b2c3d479" ] }'{ "ae6d4729-af32-42ea-8ef2-ff46c7664802": { "status": "PASS", "sessionId": "b1a6482d-5242-4b4a-aa88-3fa52595a672", "approverEmail": "user@example.com" }, "f47ac10b-58cc-4372-a567-0e02b2c3d479": { "status": "IN_PROGRESS" }}{ "error": "INVALID_INPUT", "errorMessage": "Maximum of 100 challenge IDs allowed"}